import {
  get,
  post,
} from '@/common/utils/http-util.ts'

export default {
  paging(data: MoneyAccountTypes.SearchMoneyAccountParam) {
    return get<G.PageResult<MoneyAccountTypes.SearchMoneyAccountResult>>('/money_account/paging', data)
  },
  detail(id: string) {
    return get<MoneyAccountTypes.SearchMoneyAccountResult>('/money_account/detail', {id})
  },
  add(data: MoneyAccountTypes.AddMoneyAccountParam) {
    return post('/money_account/add', data)
  },
  modify(data: MoneyAccountTypes.ModifyMoneyAccountParam) {
    return post('/money_account/modify', data)
  },
  del(ids: string[]) {
    return post('/money_account/del', ids)
  },
}
